# Properties for the Java import program
# $Id: vufind_config.properties $

# solrmarc.solr.war.path - must point to either a war file for the version of Solr that
# you want to use, or to a directory of jar files extracted from a Solr war files.  If
# this is not provided, SolrMarc can only work by communicating with a running Solr server.
# IMPORTANT NOTE FOR WINDOWS USERS:
#      Use forward slashes, not back slashes (i.e.  c:/vufind/..., not c:\vufind\...)
solrmarc.solr.war.path=/usr/local/vufind/solr/jetty/webapps/solr.war

# solrmarc.custom.jar.path - Jar containing custom java code to use in indexing. 
# If solr.indexer below is defined (other than the default of org.solrmarc.index.SolrIndexer)
# you MUST define this value to be the Jar containing the class listed there. 
solrmarc.custom.jar.path=VuFindIndexer.jar|lib

# Path to your solr instance
solr.path = /usr/local/vufind/solr
solr.core.name = biblio
solr.indexer = org.solrmarc.index.VuFindIndexer
solr.indexer.properties = marc.properties, marc_local.properties

#optional URL of running solr search engine to cause updates to be recognized.
solr.hosturl = http://localhost:8080/solr/biblio/update

#where to look for properties files, translation maps, and custom scripts
#note that . refers to the directory where the jarfile for SolrMarc is located.
solrmarc.path = /usr/local/vufind/import

# Path to your marc file
marc.to_utf_8 = true
marc.permissive = true
marc.default_encoding = BESTGUESS
marc.include_errors = true

# Perform Unicode normalization.
#
# Allowed values are:
#
#   C  - Normalization Form C (NFC)
#   D  - Normalization Form D (NFD)
#   KC - Normalization Form KC (NFKC)
#   KD - Normalization Form KD (NFKD)
#
# For the differences of the normalization forms see the Unicode
# Standards Annex #15, located at <http://unicode.org/reports/tr15/>.
#
# marc.unicode_normalize = C
